{{- if .Values.watchdog.enabled }}
apiVersion: policy/v1
kind: PodDisruptionBudget
metadata:
  name: {{ include "redis-ha.fullname" . }}-watchdog
  labels:
    {{- include "redis-ha.labels" . | nindent 4 }}
    service: watchdog
spec:
  minAvailable: 1
  selector:
    matchLabels:
      {{- include "redis-ha.selectorLabels" . | nindent 6 }}
      service: watchdog
{{- end }}
